//
//  static_array.c
//  
//
//  Created by Anthony Royer on 25/09/17.
//

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv)
{
  int arrayOfNumber[7] = {1, 3, 5, 3, 4, 7, 3};
  int countThree = 0;
  
  // We use a loop to count the number of 3
  for(int i = 0; i < 7; i++)
  {
    if(arrayOfNumber[i] == 3)
    {
      countThree ++;
    }
  }
  
  // We create a array of size countThree containing data of type int
  int *threeIndex = malloc(countThree*sizeof(int));
  
  
  // We store indexes in the array threeIndex
  int numThree = 0;
  for(int i = 0; i < 27; i++)
  {
    if(arrayOfNumber[i] == 3)
    {
      threeIndex[numThree] = i;
      numThree ++;
    }
  }
  
  printf("There are %d number three located at: [", countThree);
  for(int i = 0; i < countThree; i++)
  {
    printf("%d ", threeIndex[i]);
  }
  printf("]\n");
  
  // Don't forget to free the memory!!
  free(threeIndex);
  return 0;
}
